Pointer constraints are applied inconsistently to tablet pen input
I think pointer-constraints should only apply to pointer input. To support the mentioned use-cases, we should make some wayland-protocols changes.